> For the complete documentation index, see [llms.txt](https://docs.taqnyat.sa/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.taqnyat.sa/api-reference/api-integration-guide/base-url.md).

# Base URL

All Taqnyat WhatsApp API requests are sent using the following base URL:

```
https://api.taqnyat.sa/wa/v2/
```

Each API endpoint is added after this base URL.

### Example

For example, if the endpoint is:

```
messages/
```

The full request URL becomes:

```
https://api.taqnyat.sa/wa/v2/messages/
```

### Example Request

```bash
curl --location 'https://api.taqnyat.sa/wa/v2/messages/' \
--header 'Authorization: Bearer <YOUR_TOKEN>' \
--header 'Content-Type: application/json'
```

### URL Structure

The general structure is:

```
https://api.taqnyat.sa/wa/v2/{endpoint}
```

Where `{endpoint}` represents the API resource you want to access.

Examples include:

```
https://api.taqnyat.sa/wa/v2/messages/
https://api.taqnyat.sa/wa/v2/templates/
https://api.taqnyat.sa/wa/v2/media/
```

> Use the exact endpoint path provided on each API Reference page. Some resources may include additional path parameters or nested routes.
